OpenMesh: OpenMesh::EntityRange< RangeTraitT > Class Template Reference

| OpenMesh

Public Types | Public Member Functions | List of all members
OpenMesh::EntityRange< RangeTraitT > Class Template Reference

Generic class for vertex/halfedge/edge/face ranges. More...

`#include <OpenMesh/Core/Mesh/PolyConnectivity_inline_impl.hh>`

Inheritance diagram for OpenMesh::EntityRange< RangeTraitT >:
[legend]
Collaboration diagram for OpenMesh::EntityRange< RangeTraitT >:
[legend]

## Public Types
typedef RangeTraitT::ITER_TYPE | iterator
typedef RangeTraitT::ITER_TYPE | const_iterator
Public Types inherited from OpenMesh::SmartRangeT< EntityRange< RangeTraitT >, RangeTraitT::ITER_TYPE::SmartHandle >
using | Handle = RangeTraitT::ITER_TYPE::SmartHandle
using | SmartRange = SmartRangeT< EntityRange< RangeTraitT >, RangeTraitT::ITER_TYPE::SmartHandle >
using | Range = EntityRange< RangeTraitT >

## Public Member Functions
| EntityRange (typename RangeTraitT::CONTAINER_TYPE &container)
RangeTraitT::ITER_TYPE | begin () const
RangeTraitT::ITER_TYPE | end () const
Public Member Functions inherited from OpenMesh::SmartRangeT< EntityRange< RangeTraitT >, RangeTraitT::ITER_TYPE::SmartHandle >
auto | sum (Functor &&f) -> typename std::decay< decltype(f(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >()))>::type
| Computes the sum of elements. More...
auto | avg (Functor &&f) -> typename std::decay< decltype(f(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >()))>::type
| Computes the average of elements. More...
auto | avg (Functor &&f, WeightFunctor &&w) -> typename std::decay< decltype((1.0/(w(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >())+w(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >()))) *f(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >()))>::type
| Computes the weighted average of elements. More...
auto | any_of (Functor &&f) -> bool
| Check if any element fulfils condition. More...
auto | all_of (Functor &&f) -> bool
| Check if all elements fulfil condition. More...
auto | to_array (Functor &&f={}) -> std::array< typename std::decay< decltype(f(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >()))>::type, n >
| Convert range to array. More...
auto | to_vector (Functor &&f={}) -> std::vector< typename std::decay< decltype(f(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >()))>::type >
| Convert range to vector. More...
auto | to_set (Functor &&f={}) -> std::set< typename std::decay< decltype(f(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >()))>::type >
| Convert range to set. More...
auto | first (Functor &&f={}) -> RangeTraitT::ITER_TYPE::SmartHandle
| Get the first element that fulfills a condition. More...
auto | min (Functor &&f) -> typename std::decay< decltype(f(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >()))>::type
| Compute minimum. More...
auto | argmin (Functor &&f) -> RangeTraitT::ITER_TYPE::SmartHandle
| Compute minimal element. More...
auto | max (Functor &&f) -> typename std::decay< decltype(f(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >()))>::type
| Compute maximum. More...
auto | argmax (Functor &&f) -> RangeTraitT::ITER_TYPE::SmartHandle
| Compute maximal element. More...
auto | minmax (Functor &&f) -> std::pair< typename std::decay< decltype(f(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >()))>::type, typename std::decay< decltype(f(std::declval< RangeTraitT::ITER_TYPE::SmartHandle >()))>::type >
| Computes minimum and maximum. More...
auto | count_if (Functor &&f) -> int
| Compute number of elements that satisfy a given predicate. More...
auto | for_each (Functor &&f) -> void
| Apply a functor to each element. More...
auto | filtered (Functor &&f) -> FilteredSmartRangeT< SmartRange, Handle, Functor >
| Only iterate over a subset of elements. More...

## Detailed Description

### template<typename RangeTraitT>
class OpenMesh::EntityRange< RangeTraitT >

Generic class for vertex/halfedge/edge/face ranges.

The documentation for this class was generated from the following files:

- OpenMesh/Core/Mesh/PolyConnectivity.hh
- OpenMesh/Core/Mesh/PolyConnectivity_inline_impl.hh